#
# Create a box and a line
#
set f [.s create Frame 200 100 250 150 -color green]
set l [.s create Line 125 125 200 125 -arrow last]

#
# attach a constraint
#
$f attach {left middle} $l deform {vertex 1}

#
# Make the box movable
#
set b [.s create Bounder]
$b bind $f

#
# Create another box and attach a constraint
#
set g [.s create Frame 20 20 40 40 -color red]
eval $g move absolute [$f aspect right bottom] top left
$f attach {right bottom} $g move {}


#
# Create a third object -- an arrow -- and attach the other end
# of the line to it. Make is ghost.
#
set a [.s create Arrow 100 100 -color red -behavior {move -ghost}]
$a scale 0.5
$a move absolute 125 125 point
$a attach point $l deform {vertex 0}

$b bind $a


